//Importing the json, feature,mesh packages
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://raw.githubusercontent.com/southkorea/southkorea-maps/master/kostat/2018/json/skorea-provinces-2018-topo-simple.json';

export const useData = () => {
  const [data, setData] = useState(null);
 //creating a function using useeffect to read json data and draw map 
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};